javax.media.j3d

## Class WakeupOnActivation

- java.lang.Object
- - javax.media.j3d.WakeupCondition
  - - javax.media.j3d.WakeupCriterion
    - - javax.media.j3d.WakeupOnActivation

-     public final class WakeupOnActivation
      extends WakeupCriterion

  Class specifying a wakeup the first time an active Viewplatform's activation volume intersects with this object's scheduling region. This gives the behavior an explicit means of executing code when it is activated.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WakeupOnActivation()` Constructs a new WakeupOnActivation criterion.

  - ### Method Summary

    - ### Methods inherited from class javax.media.j3d.WakeupCriterion

      `hasTriggered`

    - ### Methods inherited from class javax.media.j3d.WakeupCondition

      `allElements, triggeredElements`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WakeupOnActivation

          public WakeupOnActivation()

      Constructs a new WakeupOnActivation criterion.

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.